Bug 3985 - An empty progress bar remains after POP mail check completes
Summary: An empty progress bar remains after POP mail check completes
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI (show other bugs)
Version: 3.16.0
Hardware: PC Linux
: P3 trivial
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2018-03-13 21:00 CET by George
Modified: 2018-04-04 10:27 CEST (History)
0 users

See Also:


Attachments
screenshot (1.81 KB, image/png)
2018-03-13 21:00 CET, George
no flags Details
expected (no progress bar) (1.50 KB, image/png)
2018-03-13 22:14 CET, George
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description George 2018-03-13 21:00:18 CET
Created attachment 1854 [details]
screenshot

When clicking "Get mail" and choosing from the dropdown one of my POP mail accounts messages are downloaded properly, then the connection is closed:

[21:58:01] POP> QUIT
[21:58:01] POP< +OK abv POP3 Server signing off.

but the progress bar on bottom right still remains.

When checking IMAP account this doesn't happen, only with POP.
Comment 1 Paul 2018-03-13 21:56:46 CET
What does your screenshot indicate, that it's a darker grey?
Comment 2 George 2018-03-13 22:13:21 CET
It shows the empty progress bar which remains.
Comment 3 George 2018-03-13 22:14:14 CET
Created attachment 1855 [details]
expected (no progress bar)

This is how it should be (and how it is with IMAP check)
Comment 4 wwp 2018-03-14 00:42:12 CET
Does this happen every time you get mail from this POP account?
Comment 5 George 2018-03-14 08:53:42 CET
Yes. Same for other POP accounts too.
Comment 6 Shai Berger 2018-03-15 08:55:03 CET
FWIW, I use POP and never encounter the problem; one apparent difference is that the POP account is the only one I have configured.
Comment 7 wwp 2018-03-15 11:56:24 CET
AFAICS, it can be reproduced only if your POP account is configured to leave messages on server.
Comment 8 Shai Berger 2018-03-16 19:23:45 CET
(In reply to comment #7)

I do leave messages on the server, it's my way of getting them into multiple devices. Claws Mail is the one which gets to delete them, but only with a few weeks' delay.
Comment 9 users 2018-04-04 10:28:16 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2018-04-04 10:28:14.974435128 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=0f455017a7363103dc7ea88b90a4d728f905f1e5
Merge: 0325e77 2c2680c
Author: Colin Leroy <colin@colino.net>
Date:   Wed Apr 4 10:28:09 2018 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=2c2680cada1bd3516aed2da1edf954fdbdeee8c7
Author: wwp <wwp@free.fr>
Date:   Wed Apr 4 10:27:01 2018 +0200

    Remove the empty progress bar that may remain in status bar after
    pop3 incorporation (if account is configured to leave messages
    on server).
    Closes bug 3985: an empty progress bar remains after POP mail check completes